%global _empty_manifest_terminate_build 0
Name:           python-aiohttp
Version:        3.8.5
Release:        1
Summary:        Async http client/server framework (asyncio)
License:        Apache 2
URL:            https://github.com/aio-libs/aiohttp
Source0:        %{pypi_source aiohttp}

Requires:       python3-attrs
Requires:       python3-charset-normalizer
Requires:       python3-multidict
Requires:       python3-async-timeout
Requires:       python3-yarl
Requires:       python3-frozenlist
Requires:       python3-aiosignal
Requires:       python3-asynctest
Requires:       python3-typing-extensions
Requires:       python3-aiodns
Requires:       python3-Brotli
Requires:       python3-cchardet

%description
Async http client/server framework (asyncio).

%package -n python3-aiohttp
Summary:	Async http client/server framework (asyncio)
Provides:	python-aiohttp
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	gcc
BuildRequires:	gdb
%description -n python3-aiohttp
Async http client/server framework (asyncio).

%package help
Summary:	Development documents and examples for aiohttp
Provides:	python3-aiohttp-doc
%description help
Development documents and examples for aiohttp.

%prep
%autosetup -n aiohttp-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-aiohttp -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Aug 14 2023 yaoxin <yao_xin001@hoperun.com> - 3.8.5-1
- Upgrade to 3.8.5 for fix CVE-2023-37276

* Wed May 17 2023 Ge Wang <wang__ge@126.com> - 3.8.4-1
- update to 3.8.4

* Fri Feb 3 2023 liheavy <lihaiwei8@huawei.com> - 3.8.3-1
- update to 3.8.3

* Fri Jan 20 2023 xu_ping <xuping33@h-partners.com> - 3.7.4-3
- fix install error

* Fri May 20 2022 liukuo <liukuo@kylinos.cn> - 3.7.4-2
- License compliance rectification

* Fri Jul 23 2021 wutao <wutao61@huawei.com> - 3.7.4-1
- Package init
